"""Users views"""
from django.shortcuts import redirect, render

from django.urls import reverse

from users.forms import CustomUserCreationForm


def register(request):
    """Register view, uses the CustomUserCreationForm to register a user"""
    if request.method == "POST":
        form = CustomUserCreationForm(request.POST)
        if form.is_valid():
            user = form.save()
            user.is_active = False
            user.save()
            return redirect(reverse("index"))
    else:
        form = CustomUserCreationForm()

    return render(
            request, "users/register.html",
            {"form": form}
    )
